## START: Set by rpmautospec
## (rpmautospec version 0.6.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# Generated by rust2rpm 25
%bcond_without check
%global debug_package %{nil}

%global crate ring

# compile and run tests only on supported architectures
# https://bugzilla.redhat.com/show_bug.cgi?id=1869980
%global supported_arches x86_64 %{ix86} aarch64 %{arm}

Name:           rust-ring0.16
Version:        0.16.20
Release:        %autorelease
Summary:        Safe, fast, small crypto using Rust

License:        ISC AND MIT AND OpenSSL
URL:            https://crates.io/crates/ring
Source:         %{crates_source}
# Automatically generated patch to strip dependencies and normalize metadata
Patch:          ring-fix-metadata-auto.diff
# Manually created patch for downstream crate metadata changes
# * drop profiles that set compiler flags that are incompatible with packaging
# * set package.license in metadata to match package license
Patch:          ring-fix-metadata.diff

BuildRequires:  cargo-rpm-macros >= 24

%global _description %{expand:
Safe, fast, small crypto using Rust.}

%description %{_description}

%package        devel
Summary:        %{summary}
BuildArch:      noarch

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%license %{crate_instdir}/third_party/fiat/LICENSE
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+alloc-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+alloc-devel %{_description}

This package contains library source intended for building other packages which
use the "alloc" feature of the "%{crate}" crate.

%files       -n %{name}+alloc-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+dev_urandom_fallback-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+dev_urandom_fallback-devel %{_description}

This package contains library source intended for building other packages which
use the "dev_urandom_fallback" feature of the "%{crate}" crate.

%files       -n %{name}+dev_urandom_fallback-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+internal_benches-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+internal_benches-devel %{_description}

This package contains library source intended for building other packages which
use the "internal_benches" feature of the "%{crate}" crate.

%files       -n %{name}+internal_benches-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+once_cell-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+once_cell-devel %{_description}

This package contains library source intended for building other packages which
use the "once_cell" feature of the "%{crate}" crate.

%files       -n %{name}+once_cell-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+slow_tests-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+slow_tests-devel %{_description}

This package contains library source intended for building other packages which
use the "slow_tests" feature of the "%{crate}" crate.

%files       -n %{name}+slow_tests-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+std-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+std-devel %{_description}

This package contains library source intended for building other packages which
use the "std" feature of the "%{crate}" crate.

%files       -n %{name}+std-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+test_logging-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+test_logging-devel %{_description}

This package contains library source intended for building other packages which
use the "test_logging" feature of the "%{crate}" crate.

%files       -n %{name}+test_logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+wasm32_c-devel
Summary:        %{summary}
BuildArch:      noarch

%description -n %{name}+wasm32_c-devel %{_description}

This package contains library source intended for building other packages which
use the "wasm32_c" feature of the "%{crate}" crate.

%files       -n %{name}+wasm32_c-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1
%cargo_prep

%generate_buildrequires
%cargo_generate_buildrequires

%build
%ifarch %{supported_arches}
%cargo_build
%endif

%install
%cargo_install

%if %{with check}
%ifarch %{supported_arches}
%check
# * files needed for integration tests are not included in published crates
%cargo_test -- --lib
%cargo_test -- --doc
%endif
%endif

%changelog
## START: Generated by rpmautospec
* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.16.20-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Fri Oct 27 2023 Fabio Valentini <decathorpe@gmail.com> - 0.16.20-1
- Initial import (ring 0.16 compat package)
## END: Generated by rpmautospec
